Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.policy.builder.primitive
Class NestedPrimitiveAssertion

    java.lang.Object
      org.apache.cxf.ws.policy.builder.primitive.PrimitiveAssertion
          org.apache.cxf.ws.policy.builder.primitive.NestedPrimitiveAssertion

All Implemented Interfaces:
  PolicyAssertion, org.apache.neethi.Assertion, org.apache.neethi.PolicyComponent

    public class NestedPrimitiveAssertion

extends PrimitiveAssertion

Implementation of an assertion that required exactly one (possibly empty) child element of type Policy (as does for examples the wsam:Addressing assertion).

Field Summary

Fields inherited from class org.apache.cxf.ws.policy.builder.primitive.PrimitiveAssertion
`name, optional`

Constructor Summary
`NestedPrimitiveAssertion(org.w3c.dom.Element elem, PolicyBuilder builder, PolicyConstants constants)`
`NestedPrimitiveAssertion(org.w3c.dom.Element elem, PolicyBuilder builder, PolicyConstants constants, boolean assertionRequired)`
`NestedPrimitiveAssertion(javax.xml.namespace.QName name, boolean optional)`
`NestedPrimitiveAssertion(javax.xml.namespace.QName name, boolean optional, org.apache.neethi.Policy p, boolean assertionRequired)`

Method Summary
`boolean` | `equal(org.apache.neethi.PolicyComponent policyComponent)`
`org.apache.neethi.Policy` | `getPolicy()`
`boolean` | `isAsserted(AssertionInfoMap aim)`
`protected boolean` | `isPolicyAsserted(org.apache.neethi.PolicyOperator p, AssertionInfoMap aim)`
`org.apache.neethi.PolicyComponent` | `normalize()`
`protected void` | `setPolicy(org.apache.neethi.Policy n)`

Methods inherited from class org.apache.cxf.ws.policy.builder.primitive.PrimitiveAssertion
`cloneMandatory, getName, getType, isOptional, serialize, setName, setOptional, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NestedPrimitiveAssertion

    public NestedPrimitiveAssertion(javax.xml.namespace.QName name,
                                    boolean optional)

### NestedPrimitiveAssertion

    public NestedPrimitiveAssertion(javax.xml.namespace.QName name,
                                    boolean optional,
                                    org.apache.neethi.Policy p,
                                    boolean assertionRequired)

### NestedPrimitiveAssertion

    public NestedPrimitiveAssertion(org.w3c.dom.Element elem,
                                    PolicyBuilder builder,
                                    PolicyConstants constants)

### NestedPrimitiveAssertion

    public NestedPrimitiveAssertion(org.w3c.dom.Element elem,
                                    PolicyBuilder builder,
                                    PolicyConstants constants,
                                    boolean assertionRequired)

Method Detail

### normalize

    public org.apache.neethi.PolicyComponent normalize()

  Specified by:
    `normalize` in interface `org.apache.neethi.Assertion`
  Overrides:
    `normalize` in class `PrimitiveAssertion`

### equal

    public boolean equal(org.apache.neethi.PolicyComponent policyComponent)

  Specified by:
    `equal` in interface `org.apache.neethi.PolicyComponent`
  Overrides:
    `equal` in class `PrimitiveAssertion`

### setPolicy

    protected void setPolicy(org.apache.neethi.Policy n)

### getPolicy

    public org.apache.neethi.Policy getPolicy()

  Specified by:
    `getPolicy` in interface `PolicyAssertion`
  Overrides:
    `getPolicy` in class `PrimitiveAssertion`

### isAsserted

    public boolean isAsserted(AssertionInfoMap aim)

  Specified by:
    `isAsserted` in interface `PolicyAssertion`
  Overrides:
    `isAsserted` in class `PrimitiveAssertion`

### isPolicyAsserted

    protected boolean isPolicyAsserted(org.apache.neethi.PolicyOperator p,
                                       AssertionInfoMap aim)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF